Package fr.gouv.vitam.processing.common.exception

# Class ArchiveUnitContainDataObjectException

java.lang.Object
java.lang.Throwable
java.lang.Exception
fr.gouv.vitam.common.exception.VitamException
fr.gouv.vitam.processing.common.exception.ProcessingException
fr.gouv.vitam.processing.common.exception.ArchiveUnitContainDataObjectException

All Implemented Interfaces:
  `Serializable`

public class ArchiveUnitContainDataObjectException extends ProcessingException
Define a Archive Unit Contain Data Object Exception to be thrown when an error occurred, not a fatal error This kind of exception occurs when an archive unit references a Binary Data Object instead of a Data Object Group

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ArchiveUnitContainDataObjectException(String message)`
  `ArchiveUnitContainDataObjectException(String message, String unitId, String bdoId, String gotId, String eventDetailData)`
  `ArchiveUnitContainDataObjectException(String message, Throwable cause)`
  `ArchiveUnitContainDataObjectException(Throwable cause)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getBdoId()`
  `String`
  `getEventDetailData()`
  Get the eventDetailData
  `String`
  `getGotId()`
  `String`
  `getUnitId()`

  ### Methods inherited from class fr.gouv.vitam.common.exception.VitamException

  `getVitamError, setVitamError`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ArchiveUnitContainDataObjectException

    public ArchiveUnitContainDataObjectException(String message, Throwable cause)
    Parameters:
      `message` - associated message
      `cause` - associated cause

  - ### ArchiveUnitContainDataObjectException

    public ArchiveUnitContainDataObjectException(Throwable cause)
    Parameters:
      `cause` - associated cause

  - ### ArchiveUnitContainDataObjectException

    public ArchiveUnitContainDataObjectException(String message)
    Parameters:
      `message` - associated message

  - ### ArchiveUnitContainDataObjectException

    public ArchiveUnitContainDataObjectException(String message, String unitId, String bdoId, String gotId, String eventDetailData)
    Parameters:
      `message` - associated message
      `unitId` -
      `bdoId` -
      `gotId` -
      `eventDetailData` -

- ## Method Details

  - ### getBdoId

    public String getBdoId()
    Returns:
      the bdo Id

  - ### getGotId

    public String getGotId()
    Returns:
      the got Id

  - ### getUnitId

    public String getUnitId()
    Returns:
      the unit id

  - ### getEventDetailData

    public String getEventDetailData()
    Get the eventDetailData
    Returns:
      eventDetailData